Mail archive
alpine-devel

[alpine-devel] [PATCH] new aport: stalonetray

From: ScrumpyJack <scrumpyjack_at_me.com>
Date: Wed, 20 May 2015 16:29:49 +0000 (UTC)

Stalonetray is a stand-alone freedesktop.org and KDE system tray
---
 testing/stalonetray/APKBUILD | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)
 create mode 100644 testing/stalonetray/APKBUILD
diff --git a/testing/stalonetray/APKBUILD b/testing/stalonetray/APKBUILD
new file mode 100644
index 0000000..40b6335
--- /dev/null
+++ b/testing/stalonetray/APKBUILD
_at_@ -0,0 +1,42 @@
+# Contributor: ScrumpyJack <scrumpyjack_at_me.com>
+# Maintainer:
+pkgname=stalonetray
+pkgver=0.8.3
+pkgrel=0
+pkgdesc="Stalonetray is a stand-alone freedesktop.org and KDE system tray"
+url="http://stalonetray.sourceforge.net/"
+arch="all"
+license="GPL"
+depends=""
+depends_dev=""
+makedepends="libx11-dev libxpm-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/project/${pkgname}/${pkgname}/${pkgname}-${pkgver}/${pkgname}-${pkgver}.tar.bz2"
+
+_builddir=${srcdir}/${pkgname}-${pkgver}
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+        ./configure --prefix=/usr
+        make
+}
+
+package() {
+	cd "$_builddir"
+        make DESTDIR=$pkgdir install
+        install -D -m644 stalonetrayrc.sample $pkgdir/etc/stalonetrayrc
+}
+
+md5sums="ae95dbbacc2620e032acea8abab8c9ef  stalonetray-0.8.3.tar.bz2"
+sha256sums="36548a588b2d466913423245dda6ffb6313132cd0cec635a117d37b3dab5fd4c  stalonetray-0.8.3.tar.bz2"
+sha512sums="b1c50d844b6497b586c1ad56b721675690ea305a4e3a2601ab5305af0e208c215825eefa8fa374ae0c392252156a8dffd5882992c943344f5b6a674fe6553942  stalonetray-0.8.3.tar.bz2"
-- 
2.4.1
-- 
best wishes
nicholas
Not sent from a tablet or smartphone.
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Wed May 20 2015 - 16:29:49 GMT